Data Fields

# _dbswap Union Reference

## Data Fields
uint32_t | ui
unsigned char | uc [4]
const uint32_t | ui
const unsigned char | uc [4]

## Detailed Description

Definition at line 450 of file rpmdb.c.

## Field Documentation

unsigned char _dbswap::uc

Definition at line 452 of file rpmdb.c.

Referenced by sql_byteswapped(), and sql_initDB().

const unsigned char _dbswap::uc[4]

Definition at line 51 of file lookup3.c.

const uint32_t _dbswap::ui

Definition at line 50 of file lookup3.c.

uint32_t _dbswap::ui

Definition at line 451 of file rpmdb.c.

Referenced by dbt2set(), rpmdbAdd(), rpmdbInitIterator(), rpmdbNextIterator(), rpmdbRemove(), set2dbt(), sql_bind_key(), and sql_step().

The documentation for this union was generated from the following files:

- rpmdb/rpmdb.c
- rpmdb/sqlite.c
- rpmio/lookup3.c